/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2023  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef SELECTIONDIALOGHEADERFILE
#define SELECTIONDIALOGHEADERFILE

#include <QDialog>

class QPlainTextEdit;

class TSelectionDialog : public QDialog
{
Q_OBJECT

public:

// CREATORS
	TSelectionDialog(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	~TSelectionDialog(void);

// ACCESSORS

// MANIPULATORS
	void Clear_Text(void);
	void Add_Text(const QString &text);
	void Add_Text_End(void);

signals:

private slots:

private:
	QPlainTextEdit						*d_selection_edit;

// NOT IMPLEMENTED
	TSelectionDialog(const TSelectionDialog&);
	TSelectionDialog& operator=(const TSelectionDialog&);
};

#endif
